/*
 * generated by Xtext 2.26.0
 */
package org.eclipse.gef.dot.internal.language.serializer;

import com.google.inject.Inject;
import java.util.Set;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.gef.dot.internal.language.services.DotStyleGrammarAccess;
import org.eclipse.gef.dot.internal.language.style.Style;
import org.eclipse.gef.dot.internal.language.style.StyleItem;
import org.eclipse.gef.dot.internal.language.style.StylePackage;
import org.eclipse.xtext.Action;
import org.eclipse.xtext.Parameter;
import org.eclipse.xtext.ParserRule;
import org.eclipse.xtext.serializer.ISerializationContext;
import org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer;

@SuppressWarnings("all")
public class DotStyleSemanticSequencer extends AbstractDelegatingSemanticSequencer {

	@Inject
	private DotStyleGrammarAccess grammarAccess;
	
	@Override
	public void sequence(ISerializationContext context, EObject semanticObject) {
		EPackage epackage = semanticObject.eClass().getEPackage();
		ParserRule rule = context.getParserRule();
		Action action = context.getAssignedAction();
		Set<Parameter> parameters = context.getEnabledBooleanParameters();
		if (epackage == StylePackage.eINSTANCE)
			switch (semanticObject.eClass().getClassifierID()) {
			case StylePackage.STYLE:
				sequence_Style(context, (Style) semanticObject); 
				return; 
			case StylePackage.STYLE_ITEM:
				sequence_StyleItem(context, (StyleItem) semanticObject); 
				return; 
			}
		if (errorAcceptor != null)
			errorAcceptor.accept(diagnosticProvider.createInvalidContextOrTypeDiagnostic(semanticObject, context));
	}
	
	/**
	 * <pre>
	 * Contexts:
	 *     StyleItem returns StyleItem
	 *
	 * Constraint:
	 *     (name=NAME (args+=NAME args+=NAME*)?)
	 * </pre>
	 */
	protected void sequence_StyleItem(ISerializationContext context, StyleItem semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * <pre>
	 * Contexts:
	 *     Style returns Style
	 *
	 * Constraint:
	 *     (styleItems+=StyleItem styleItems+=StyleItem*)?
	 * </pre>
	 */
	protected void sequence_Style(ISerializationContext context, Style semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
}
